## xfsprogs 4.3.0+nmu1ubuntu4.1

=== debian/changelog ===
xfsprogs (4.3.0+nmu1ubuntu4.1) zesty; urgency=medium

  * xfs_copy: Fix meta UUID handling on multiple copies upstream fix
    cbca895541facb. (LP: #1696102)

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Aug 2017 10:16:48 -0700

xfsprogs (4.3.0+nmu1ubuntu4) yakkety; urgency=low

  * switch to upstream fixes for struct xfsattr redefinition:
   - 2be9e939868400 "linux.h: include <linux/fs.h>"
   - 721948f7688e7d "xfs.h: define XFS_IOC_FREEZE even if FIFREEZE is defined"
   - 83f4b5ac15fa3d "xfs_fs.h: XFS_IOC_FS[SG]SETXATTR to FS_IOC_FS[SG]ETXATTR
     promotion"

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 12 Oct 2016 15:52:47 +0100

xfsprogs (4.3.0+nmu1ubuntu3) yakkety; urgency=low

  * Add autotools check for struct fsxattr to fix FTBFS.
  * Use FIFREEZE and FITHAW when defined.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 11 Oct 2016 09:34:49 +0100

xfsprogs (4.3.0+nmu1ubuntu2) yakkety; urgency=medium

  * No-change rebuild with PIE as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Sep 2016 00:54:50 +0200
