=== debian/changelog ===
xfsprogs (4.9.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove code in include/buildmacros which creates bogus symlinks for
    libraries. (Closes: #766811)

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Mar 2017 19:27:58 +0100

xfsprogs (4.9.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 05 Jan 2017 16:05:55 -0600

xfsprogs (4.8.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 17 Oct 2016 14:13:45 +1100

xfsprogs (4.7.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 05 Aug 2016 11:35:57 +1000

xfsprogs (4.5.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 15 Mar 2016 12:05:21 +1100
