## xfsprogs 4.9.0+nmu1ubuntu1

=== debian/changelog ===
xfsprogs (4.9.0+nmu1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.
    - Fixes a metadata corruption bug.  LP: #1696102.
  * Remaining changes:
    - Enable blkid in d-i, by dropping explicitly passed configure option
      (broken configure).
    - Drop trying to create upstream distribution.
  * Dropped changes, included in Debian:
    - Add autotools check for struct fsxattr to fix FTBFS.
    - Use FIFREEZE and FITHAW when defined.
    - 2be9e939868400 "linux.h: include <linux/fs.h>"
    - 721948f7688e7d "xfs.h: define XFS_IOC_FREEZE even if FIFREEZE is defined"
    - 83f4b5ac15fa3d "xfs_fs.h: XFS_IOC_FS[SG]SETXATTR to FS_IOC_FS[SG]ETXATTR
      promotion"

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Jul 2017 22:33:17 -0700
