=== logprint/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 HFILES = logprint.h
 CFILES = logprint.c \
 	 log_copy.c log_dump.c log_misc.c \
-	 log_print_all.c log_print_trans.c
+	 log_print_all.c log_print_trans.c log_redo.c
 
 LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
 LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
