=== po/Makefile ===
--- 
+++ 
@@ -6,7 +6,10 @@
 include $(TOPDIR)/include/builddefs
 
 POTHEAD = $(PKG_NAME).pot
-LINGUAS = de pl
+# If the user has requested a specific set of translations, only build those.
+SUPPORTED_LINGUAS = $(patsubst %.po,%,$(wildcard *.po))
+LINGUAS ?= $(SUPPORTED_LINGUAS)
+LINGUAS := $(filter $(SUPPORTED_LINGUAS),$(LINGUAS))
 LSRCFILES = $(LINGUAS:%=%.po)
 LDIRT = $(POTHEAD)
