=== debian/changelog ===
xfsprogs (4.9.0+nmu1ubuntu2) bionic; urgency=medium

  * io/copy_file_range.c: cherry-pick upstream change for compatibility with
    glibc 2.27.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Apr 2018 23:44:31 -0700
