=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 		for dir in include libxfs; do \
 			$(MAKE) -C $$dir NODEP=1 install-headers; \
 		done; \
-		for dir in include libxfs mkfs; do \
+		for dir in include libxfs libxcmd mkfs; do \
 			$(MAKE) -C $$dir; \
 		done; \
 		mv mkfs/mkfs.xfs mkfs/mkfs.xfs-$(bootpkg); \
