## xfsprogs 4.15.1

=== debian/changelog ===
xfsprogs (4.15.1-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable blkid in d-i, by dropping explicitly passed configure option
      (broken configure).
    - Drop trying to create upstream distribution.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 May 2018 22:27:51 -0700

xfsprogs (4.15.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 26 Feb 2018 19:45:12 -0600

xfsprogs (4.15.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 23 Feb 2018 13:06:35 -0600

xfsprogs (4.15.0-rc1-1) unstable; urgency=low
  * Use source-only uploads using quilt format (closes: #144876)
  * Includes copy_file_range patch for xfs_io (closes: #890716)
  * Drop libreadline5-dev package dependency (closes: #695875)
  * Includes old metadump CVE-2012-2150 fix (closes: #793495)
  * New upstream release (closes: #874209)

 -- Nathan Scott <nathans@debian.org>  Wed, 21 Feb 2018 10:52:38 -0600

xfsprogs (4.14.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 27 Nov 2017 10:52:38 -0600

xfsprogs (4.13.1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Sep 2017 20:42:32 -0500

xfsprogs (4.13.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Sep 2017 11:40:08 -0500

xfsprogs (4.12.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 20 Jul 2017 10:54:03 -0500

xfsprogs (4.11.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 05 May 2017 13:22:41 -0500

xfsprogs (4.10.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sun, 26 Feb 2017 14:02:20 -0600
