=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 develop = xfslibs-dev
 bootpkg = xfsprogs-udeb
 
-version = $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
+version = $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2 | cut -d '-' -f 1)
 target ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 udebpkg = $(bootpkg)_$(version)_$(target).udeb
 
@@ -20,12 +20,14 @@
 
 options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
 	  INSTALL_USER=root INSTALL_GROUP=root \
-	  LOCAL_CONFIGURE_OPTIONS="--enable-readline=yes --enable-blkid=yes" ;
+	  LOCAL_CONFIGURE_OPTIONS="--enable-readline=yes --enable-blkid=yes --disable-ubsan --disable-addrsan --disable-threadsan" ;
 diopts  = $(options) \
-	  export OPTIMIZER=-Os LOCAL_CONFIGURE_OPTIONS="--enable-gettext=no" ;
+	  export OPTIMIZER=-Os LOCAL_CONFIGURE_OPTIONS="--enable-gettext=no --disable-ubsan --disable-addrsan --disable-threadsan" ;
 checkdir = test -f debian/rules
 
-build: built
+build: build-arch build-indep
+build-arch: built
+build-indep: built
 built: reconf dibuild config
 	@echo "== dpkg-buildpackage: build" 1>&2
 	$(MAKE) default
@@ -53,7 +55,7 @@
 		for dir in include libxfs; do \
 			$(MAKE) -C $$dir NODEP=1 install-headers; \
 		done; \
-		for dir in include libxfs libxcmd mkfs; do \
+		for dir in include libxfs libxcmd libfrog mkfs; do \
 			$(MAKE) -C $$dir; \
 		done; \
 		mv mkfs/mkfs.xfs mkfs/mkfs.xfs-$(bootpkg); \
@@ -80,6 +82,8 @@
 	$(pkgdev) $(MAKE) -C . install-dev
 	$(pkgdi)  $(MAKE) -C debian install-d-i
 	rmdir debian/xfslibs-dev/usr/share/doc/xfsprogs
+	rm -f debian/xfslibs-dev/lib/libhandle.la
+	rm -fr debian/xfslibs-dev/usr/lib
 	dh_installdocs
 	dh_installchangelogs
 	dh_strip
